Unable to install SQl backup and FTP on windows 10 LTSB

Getting this error on a Windows 10 LTSB machine. Is there any workaround it or has anyone come across this error? Also not able to use the latest version due to .net framework version not supported.

Had to use an older version of SQl backup which was version 11 but ended up with this error.

Hello,

Thank you for your comment.

To resolve this, please create a bucket in an Amazon region supported by the older versions of SQLBackupAndFTP.

Please let us know if you have any other questions.

Thank you and sorry for the inconvenience.